> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a published tooltip

> Returns the title and ProseMirror content for a term-definition or clause-reference block identified by `tooltipId`.

Pass `includeParentSection` to include the surrounding section for clause references.

Returns `null` when the block type is unrecognized.



## OpenAPI

````yaml get /published/{tooltipId}/tooltip
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/{tooltipId}/tooltip:
    get:
      tags:
        - Published
      summary: Retrieve a published tooltip
      description: >-
        Returns the title and ProseMirror content for a term-definition or
        clause-reference block identified by `tooltipId`.


        Pass `includeParentSection` to include the surrounding section for
        clause references.


        Returns `null` when the block type is unrecognized.
      operationId: getPublishedTooltip
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: tooltipId
          in: path
        - schema:
            type: string
          required: false
          name: includeParentSection
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type:
                      - object
                      - 'null'
                    properties:
                      title:
                        type: string
                      content:
                        type: array
                        items: {}
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````